Skip to content
On this page

REST API reference

Knowledge base

Articles (read only). Admin and owner tokens also see drafts; other roles see published articles only.

List knowledge base articles

GET/api/v1/knowledge-base/articles

List articles, most recently updated first.

Scope
knowledge:read
Unscoped key
Read-only or read-write

Query parameters

statusstring
published or draft (draft: admin and owner tokens only).
category_idstring
Category id.
searchstring
Matches the title.
per_pageinteger
1-100, default 25.
cursorstring
meta.next_cursor from the previous page.
Request
curl https://zono.support/api/v1/knowledge-base/articles?status=published \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "data": [
        {
            "object": "knowledge_base_article",
            "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
            "title": "Reset your password",
            "slug": "billing",
            "excerpt": "excerpt",
            "content": "content",
            "status": "published",
            "privacy": "privacy",
            "is_featured": true,
            "category": {
                "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
                "name": "Billing"
            },
            "published_at": "2026-01-15T10:24:07Z",
            "created_at": "2026-01-15T10:24:07Z",
            "updated_at": "2026-01-15T10:24:07Z"
        }
    ],
    "links": {
        "first": null,
        "last": null,
        "prev": null,
        "next": "https://zono.support/api/v1/knowledge-base/articles?cursor=eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
    },
    "meta": {
        "path": "https://zono.support/api/v1/knowledge-base/articles",
        "per_page": 25,
        "next_cursor": "eyJpZCI6IjAxajl4MnAzcTQiLCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
        "prev_cursor": null
    }
}

Get a knowledge base article

GET/api/v1/knowledge-base/articles/{article}

One article by id or slug.

Scope
knowledge:read
Unscoped key
Read-only or read-write

Path parameters

articlestringRequired
Article id or slug.
Request
curl https://zono.support/api/v1/knowledge-base/articles/reset-your-password \
  -H "Authorization: Bearer $ZONO_TOKEN" \
  -H "Accept: application/json"
Response200 OK
{
    "object": "knowledge_base_article",
    "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
    "title": "Reset your password",
    "slug": "billing",
    "excerpt": "excerpt",
    "content": "content",
    "status": "published",
    "privacy": "privacy",
    "is_featured": true,
    "category": {
        "id": "01j9x0a1b2c3d4e5f6g7h8j9k0",
        "name": "Billing"
    },
    "published_at": "2026-01-15T10:24:07Z",
    "created_at": "2026-01-15T10:24:07Z",
    "updated_at": "2026-01-15T10:24:07Z"
}